# Class: oTimeline

## $. oTimeline

The $.oTimeline class represents a timeline corresponding to a specific display.

#### new $.oTimeline(display)

openHarmony/openHarmony_timeline.js, line 117
  The base class for the $.oTimeline.

  Name | Type | Description
  --- | --- | ---
  `display` | string | The display node's path.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `display` | int | The display node's path.
  `composition` | Array.<string> | The composition order of the scene.
  `scene` | oScene | The scene object of the DOM.

### Members

#### completebool

  The completion state of all the threads.

#### completedIndicesArray.<int>

  The indices that have completed results.

#### compositionLayersArray.<oNode>

  The node layers in the scene, based on the timeline's order given a specific display.

#### compositionLayersListArray.<string>

  Gets the paths of the layers in order, given the specific display's timeline.

#### errorsArray.<string>

  The errors, matching index of input list.

#### errorsWithIndexArray.<object>

  The errors, if any, in form { "index" : int, "error" : string }

#### layersArray.<string>

  Gets the list of layers as oTimelineLayer objects.

#### nodesArray.<oNode>

  The nodes present in the timeline.

#### nodesListArray.<string>

  Gets the paths of the nodes displayed in the timeline.

#### resultsArray.<object>

  The errors, matching index of input list.

#### resultsWithIndexArray.<object>

  The results, if any, in form { "index" : int, "results" : object }

#### selectedLayersArray.<string>

  Gets the list of selected layers as oTimelineLayer objects.

### Methods

#### buildLayerCache()

openHarmony/openHarmony_timeline.js, line 239
  Build column to oNode/Attribute lookup cache. Makes the layer generation faster if using oTimeline.layers, oTimeline.selectedLayers

#### refresh()

openHarmony/openHarmony_timeline.js, line 226
  Refreshes the oTimeline's cached listing- in the event it changes in the runtime of the script.